site_name: SeaCogs Documentation
site_url: !ENV [SITE_URL, 'https://seacogs.coastalcommits.com']
repo_name: CoastalCommits
repo_url: https://coastalcommits.com/SeaswimmerTheFsh/SeaCogs
edit_uri: !ENV [EDIT_URI, 'src/branch/main/.docs']
copyright: Copyright &copy; 2023-2024, SeaswimmerTheFsh
docs_dir: .docs

site_author: SeaswimmerTheFsh
site_description: Documentation for my Red-DiscordBot Cogs.

nav:
  - Home: index.md
  - Aurora:
    - aurora/index.md
    - Moderation Commands: aurora/moderation-commands.md
    - Case Commands: aurora/case-commands.md
    - Configuration: aurora/configuration.md
  - Bible: bible.md
  - Backup: backup.md
  - EmojiInfo: emojiinfo.md
  - Nerdify: nerdify.md
  - Pterodactyl:
    - pterodactyl/index.md
    - Installing Red: pterodactyl/installing-red.md
    - Getting Started: pterodactyl/getting-started.md
    - Configuration: pterodactyl/configuration.md
    - Regex Examples: pterodactyl/regex.md

plugins:
  - git-authors
  - search
  #- social
  - git-revision-date-localized:
      enable_creation_date: true
      type: timeago
  - mkdocstrings:
      default_handler: python
      handlers:
        python:
          paths: [aurora, nerdify]
          options:
            docstring_options:
              ignore_imit_summary: true
            summary: true
            show_root_toc_entry: true
            show_root_heading: true
            filters:
              - "!^___"

markdown_extensions:
  - abbr
  - attr_list
  - md_in_html
  - tables
  - pymdownx.blocks.details
  - pymdownx.blocks.admonition
  - pymdownx.saneheaders
  - pymdownx.magiclink
  - pymdownx.mark
  - pymdownx.inlinehilite
  - pymdownx.snippets
  - pymdownx.superfences
  - pymdownx.highlight:
      anchor_linenums: true
      line_spans: __span
      pygments_lang_class: true
  - pymdownx.emoji:
      emoji_index: !!python/name:material.extensions.emoji.twemoji
      emoji_generator: !!python/name:material.extensions.emoji.to_svg

theme:
  name: material
  palette:
    - media: '(prefers-color-scheme: light)'
      scheme: default
      primary: white
      accent: light blue
      toggle:
        icon: material/toggle-switch
        name: Switch to dark mode

    - media: '(prefers-color-scheme: dark)'
      scheme: slate
      primary: black
      accent: light blue
      toggle:
        icon: material/toggle-switch-off-outline
        name: Switch to light mode
  features:
    - announce.dismiss
    - content.code.annotate
    - content.code.copy
    - navigation.instant
    - navigation.instant.progress
    - navigation.tabs
    - navigation.tracking
    - navigation.top
    - navigation.sections
    - navigation.indexes
    - search.suggest
    - search.highlight
    - search.share
    - toc.follow
  logo: img/logo.png
  favicon: img/logo.png
  icon:
    repo: simple/forgejo

watch:
  - ./aurora
  - ./backup
  - ./bible
  - ./nerdify
  - ./pterodactyl
